Tenders
Create tender
Create a new inbound tender in Alvys from an EDI 204 or manual offer, including customer, stops, offered rate, equipment, and reference numbers.
POST
/
api
/
p
/
v
{version}
/
tenders
Create tender
curl --request POST \
--url https://integrations.alvys.com/api/p/v{version}/tenders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"SenderIsaId": "<string>",
"SenderIsaIdQualifier": "<string>",
"SenderGsId": "<string>",
"ReceiverIsaId": "<string>",
"ReceiverIsaIdQualifier": "<string>",
"ReceiverGsId": "<string>",
"SCAC": "<string>",
"ShipmentId": "<string>",
"Stops": [
{
"Type": "<string>",
"Entity": {
"Type": "<string>",
"Name": "<string>",
"IdCodeQualifier": "<string>",
"IdCode": "<string>",
"N1Qualifier": "<string>",
"Street": "<string>",
"City": "<string>",
"PostalCode": "<string>",
"CountryCode": "<string>",
"Phone": "<string>",
"Email": "<string>",
"State": "<string>"
},
"SequenceNumber": "<string>",
"Orders": [
{
"Quantity": "<string>",
"WeightUnitCode": "<string>",
"Weight": "<string>",
"ReferenceId": "<string>",
"PoNumber": "<string>",
"VolumeUnitQualifier": "<string>",
"Volume": "<string>",
"UnitBasisForMeasurement": "<string>",
"Description": "<string>"
}
],
"References": [
{
"Id": "<string>",
"Qualifier": "<string>",
"Description": "<string>",
"Type": "<string>"
}
],
"WeightQualifier": "<string>",
"ScheduledArrivalStart": "2023-11-07T05:31:56Z",
"ScheduledArrivalEnd": "2023-11-07T05:31:56Z",
"ScheduledAppointment": "2023-11-07T05:31:56Z",
"StopReasonCode": "<string>",
"Notes": [
"<string>"
]
}
],
"Equipment": {
"Number": "<string>",
"Length": "<string>",
"Type": "<string>"
},
"Entities": [
{
"Type": "<string>",
"Name": "<string>",
"IdCodeQualifier": "<string>",
"IdCode": "<string>",
"N1Qualifier": "<string>",
"Street": "<string>",
"City": "<string>",
"PostalCode": "<string>",
"CountryCode": "<string>",
"Phone": "<string>",
"Email": "<string>",
"State": "<string>"
}
],
"PaymentMethod": "<string>",
"QtyPallets": "<string>",
"Weight": "<string>",
"WeightUnitCode": "<string>",
"WeightQualifier": "<string>",
"Volume": "<string>",
"VolumeUnitCode": "<string>",
"VolumeQualifier": "<string>",
"Rate": 123,
"ExpirationDate": "2023-11-07T05:31:56Z",
"Notes": [
"<string>"
],
"References": [
{
"Id": "<string>",
"Qualifier": "<string>",
"Description": "<string>",
"Type": "<string>"
}
],
"RoutingSequenceCode": "<string>",
"TransportationMethodTypeCode": "<string>",
"PoNumber": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
SenderIsaId: '<string>',
SenderIsaIdQualifier: '<string>',
SenderGsId: '<string>',
ReceiverIsaId: '<string>',
ReceiverIsaIdQualifier: '<string>',
ReceiverGsId: '<string>',
SCAC: '<string>',
ShipmentId: '<string>',
Stops: [
{
Type: '<string>',
Entity: {
Type: '<string>',
Name: '<string>',
IdCodeQualifier: '<string>',
IdCode: '<string>',
N1Qualifier: '<string>',
Street: '<string>',
City: '<string>',
PostalCode: '<string>',
CountryCode: '<string>',
Phone: '<string>',
Email: '<string>',
State: '<string>'
},
SequenceNumber: '<string>',
Orders: [
{
Quantity: '<string>',
WeightUnitCode: '<string>',
Weight: '<string>',
ReferenceId: '<string>',
PoNumber: '<string>',
VolumeUnitQualifier: '<string>',
Volume: '<string>',
UnitBasisForMeasurement: '<string>',
Description: '<string>'
}
],
References: [
{
Id: '<string>',
Qualifier: '<string>',
Description: '<string>',
Type: '<string>'
}
],
WeightQualifier: '<string>',
ScheduledArrivalStart: '2023-11-07T05:31:56Z',
ScheduledArrivalEnd: '2023-11-07T05:31:56Z',
ScheduledAppointment: '2023-11-07T05:31:56Z',
StopReasonCode: '<string>',
Notes: ['<string>']
}
],
Equipment: {Number: '<string>', Length: '<string>', Type: '<string>'},
Entities: [
{
Type: '<string>',
Name: '<string>',
IdCodeQualifier: '<string>',
IdCode: '<string>',
N1Qualifier: '<string>',
Street: '<string>',
City: '<string>',
PostalCode: '<string>',
CountryCode: '<string>',
Phone: '<string>',
Email: '<string>',
State: '<string>'
}
],
PaymentMethod: '<string>',
QtyPallets: '<string>',
Weight: '<string>',
WeightUnitCode: '<string>',
WeightQualifier: '<string>',
Volume: '<string>',
VolumeUnitCode: '<string>',
VolumeQualifier: '<string>',
Rate: 123,
ExpirationDate: '2023-11-07T05:31:56Z',
Notes: ['<string>'],
References: [
{
Id: '<string>',
Qualifier: '<string>',
Description: '<string>',
Type: '<string>'
}
],
RoutingSequenceCode: '<string>',
TransportationMethodTypeCode: '<string>',
PoNumber: '<string>'
})
};
fetch('https://integrations.alvys.com/api/p/v{version}/tenders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/tenders"
payload = {
"SenderIsaId": "<string>",
"SenderIsaIdQualifier": "<string>",
"SenderGsId": "<string>",
"ReceiverIsaId": "<string>",
"ReceiverIsaIdQualifier": "<string>",
"ReceiverGsId": "<string>",
"SCAC": "<string>",
"ShipmentId": "<string>",
"Stops": [
{
"Type": "<string>",
"Entity": {
"Type": "<string>",
"Name": "<string>",
"IdCodeQualifier": "<string>",
"IdCode": "<string>",
"N1Qualifier": "<string>",
"Street": "<string>",
"City": "<string>",
"PostalCode": "<string>",
"CountryCode": "<string>",
"Phone": "<string>",
"Email": "<string>",
"State": "<string>"
},
"SequenceNumber": "<string>",
"Orders": [
{
"Quantity": "<string>",
"WeightUnitCode": "<string>",
"Weight": "<string>",
"ReferenceId": "<string>",
"PoNumber": "<string>",
"VolumeUnitQualifier": "<string>",
"Volume": "<string>",
"UnitBasisForMeasurement": "<string>",
"Description": "<string>"
}
],
"References": [
{
"Id": "<string>",
"Qualifier": "<string>",
"Description": "<string>",
"Type": "<string>"
}
],
"WeightQualifier": "<string>",
"ScheduledArrivalStart": "2023-11-07T05:31:56Z",
"ScheduledArrivalEnd": "2023-11-07T05:31:56Z",
"ScheduledAppointment": "2023-11-07T05:31:56Z",
"StopReasonCode": "<string>",
"Notes": ["<string>"]
}
],
"Equipment": {
"Number": "<string>",
"Length": "<string>",
"Type": "<string>"
},
"Entities": [
{
"Type": "<string>",
"Name": "<string>",
"IdCodeQualifier": "<string>",
"IdCode": "<string>",
"N1Qualifier": "<string>",
"Street": "<string>",
"City": "<string>",
"PostalCode": "<string>",
"CountryCode": "<string>",
"Phone": "<string>",
"Email": "<string>",
"State": "<string>"
}
],
"PaymentMethod": "<string>",
"QtyPallets": "<string>",
"Weight": "<string>",
"WeightUnitCode": "<string>",
"WeightQualifier": "<string>",
"Volume": "<string>",
"VolumeUnitCode": "<string>",
"VolumeQualifier": "<string>",
"Rate": 123,
"ExpirationDate": "2023-11-07T05:31:56Z",
"Notes": ["<string>"],
"References": [
{
"Id": "<string>",
"Qualifier": "<string>",
"Description": "<string>",
"Type": "<string>"
}
],
"RoutingSequenceCode": "<string>",
"TransportationMethodTypeCode": "<string>",
"PoNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/tenders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'SenderIsaId' => '<string>',
'SenderIsaIdQualifier' => '<string>',
'SenderGsId' => '<string>',
'ReceiverIsaId' => '<string>',
'ReceiverIsaIdQualifier' => '<string>',
'ReceiverGsId' => '<string>',
'SCAC' => '<string>',
'ShipmentId' => '<string>',
'Stops' => [
[
'Type' => '<string>',
'Entity' => [
'Type' => '<string>',
'Name' => '<string>',
'IdCodeQualifier' => '<string>',
'IdCode' => '<string>',
'N1Qualifier' => '<string>',
'Street' => '<string>',
'City' => '<string>',
'PostalCode' => '<string>',
'CountryCode' => '<string>',
'Phone' => '<string>',
'Email' => '<string>',
'State' => '<string>'
],
'SequenceNumber' => '<string>',
'Orders' => [
[
'Quantity' => '<string>',
'WeightUnitCode' => '<string>',
'Weight' => '<string>',
'ReferenceId' => '<string>',
'PoNumber' => '<string>',
'VolumeUnitQualifier' => '<string>',
'Volume' => '<string>',
'UnitBasisForMeasurement' => '<string>',
'Description' => '<string>'
]
],
'References' => [
[
'Id' => '<string>',
'Qualifier' => '<string>',
'Description' => '<string>',
'Type' => '<string>'
]
],
'WeightQualifier' => '<string>',
'ScheduledArrivalStart' => '2023-11-07T05:31:56Z',
'ScheduledArrivalEnd' => '2023-11-07T05:31:56Z',
'ScheduledAppointment' => '2023-11-07T05:31:56Z',
'StopReasonCode' => '<string>',
'Notes' => [
'<string>'
]
]
],
'Equipment' => [
'Number' => '<string>',
'Length' => '<string>',
'Type' => '<string>'
],
'Entities' => [
[
'Type' => '<string>',
'Name' => '<string>',
'IdCodeQualifier' => '<string>',
'IdCode' => '<string>',
'N1Qualifier' => '<string>',
'Street' => '<string>',
'City' => '<string>',
'PostalCode' => '<string>',
'CountryCode' => '<string>',
'Phone' => '<string>',
'Email' => '<string>',
'State' => '<string>'
]
],
'PaymentMethod' => '<string>',
'QtyPallets' => '<string>',
'Weight' => '<string>',
'WeightUnitCode' => '<string>',
'WeightQualifier' => '<string>',
'Volume' => '<string>',
'VolumeUnitCode' => '<string>',
'VolumeQualifier' => '<string>',
'Rate' => 123,
'ExpirationDate' => '2023-11-07T05:31:56Z',
'Notes' => [
'<string>'
],
'References' => [
[
'Id' => '<string>',
'Qualifier' => '<string>',
'Description' => '<string>',
'Type' => '<string>'
]
],
'RoutingSequenceCode' => '<string>',
'TransportationMethodTypeCode' => '<string>',
'PoNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/tenders"
payload := strings.NewReader("{\n \"SenderIsaId\": \"<string>\",\n \"SenderIsaIdQualifier\": \"<string>\",\n \"SenderGsId\": \"<string>\",\n \"ReceiverIsaId\": \"<string>\",\n \"ReceiverIsaIdQualifier\": \"<string>\",\n \"ReceiverGsId\": \"<string>\",\n \"SCAC\": \"<string>\",\n \"ShipmentId\": \"<string>\",\n \"Stops\": [\n {\n \"Type\": \"<string>\",\n \"Entity\": {\n \"Type\": \"<string>\",\n \"Name\": \"<string>\",\n \"IdCodeQualifier\": \"<string>\",\n \"IdCode\": \"<string>\",\n \"N1Qualifier\": \"<string>\",\n \"Street\": \"<string>\",\n \"City\": \"<string>\",\n \"PostalCode\": \"<string>\",\n \"CountryCode\": \"<string>\",\n \"Phone\": \"<string>\",\n \"Email\": \"<string>\",\n \"State\": \"<string>\"\n },\n \"SequenceNumber\": \"<string>\",\n \"Orders\": [\n {\n \"Quantity\": \"<string>\",\n \"WeightUnitCode\": \"<string>\",\n \"Weight\": \"<string>\",\n \"ReferenceId\": \"<string>\",\n \"PoNumber\": \"<string>\",\n \"VolumeUnitQualifier\": \"<string>\",\n \"Volume\": \"<string>\",\n \"UnitBasisForMeasurement\": \"<string>\",\n \"Description\": \"<string>\"\n }\n ],\n \"References\": [\n {\n \"Id\": \"<string>\",\n \"Qualifier\": \"<string>\",\n \"Description\": \"<string>\",\n \"Type\": \"<string>\"\n }\n ],\n \"WeightQualifier\": \"<string>\",\n \"ScheduledArrivalStart\": \"2023-11-07T05:31:56Z\",\n \"ScheduledArrivalEnd\": \"2023-11-07T05:31:56Z\",\n \"ScheduledAppointment\": \"2023-11-07T05:31:56Z\",\n \"StopReasonCode\": \"<string>\",\n \"Notes\": [\n \"<string>\"\n ]\n }\n ],\n \"Equipment\": {\n \"Number\": \"<string>\",\n \"Length\": \"<string>\",\n \"Type\": \"<string>\"\n },\n \"Entities\": [\n {\n \"Type\": \"<string>\",\n \"Name\": \"<string>\",\n \"IdCodeQualifier\": \"<string>\",\n \"IdCode\": \"<string>\",\n \"N1Qualifier\": \"<string>\",\n \"Street\": \"<string>\",\n \"City\": \"<string>\",\n \"PostalCode\": \"<string>\",\n \"CountryCode\": \"<string>\",\n \"Phone\": \"<string>\",\n \"Email\": \"<string>\",\n \"State\": \"<string>\"\n }\n ],\n \"PaymentMethod\": \"<string>\",\n \"QtyPallets\": \"<string>\",\n \"Weight\": \"<string>\",\n \"WeightUnitCode\": \"<string>\",\n \"WeightQualifier\": \"<string>\",\n \"Volume\": \"<string>\",\n \"VolumeUnitCode\": \"<string>\",\n \"VolumeQualifier\": \"<string>\",\n \"Rate\": 123,\n \"ExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"Notes\": [\n \"<string>\"\n ],\n \"References\": [\n {\n \"Id\": \"<string>\",\n \"Qualifier\": \"<string>\",\n \"Description\": \"<string>\",\n \"Type\": \"<string>\"\n }\n ],\n \"RoutingSequenceCode\": \"<string>\",\n \"TransportationMethodTypeCode\": \"<string>\",\n \"PoNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.alvys.com/api/p/v{version}/tenders")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"SenderIsaId\": \"<string>\",\n \"SenderIsaIdQualifier\": \"<string>\",\n \"SenderGsId\": \"<string>\",\n \"ReceiverIsaId\": \"<string>\",\n \"ReceiverIsaIdQualifier\": \"<string>\",\n \"ReceiverGsId\": \"<string>\",\n \"SCAC\": \"<string>\",\n \"ShipmentId\": \"<string>\",\n \"Stops\": [\n {\n \"Type\": \"<string>\",\n \"Entity\": {\n \"Type\": \"<string>\",\n \"Name\": \"<string>\",\n \"IdCodeQualifier\": \"<string>\",\n \"IdCode\": \"<string>\",\n \"N1Qualifier\": \"<string>\",\n \"Street\": \"<string>\",\n \"City\": \"<string>\",\n \"PostalCode\": \"<string>\",\n \"CountryCode\": \"<string>\",\n \"Phone\": \"<string>\",\n \"Email\": \"<string>\",\n \"State\": \"<string>\"\n },\n \"SequenceNumber\": \"<string>\",\n \"Orders\": [\n {\n \"Quantity\": \"<string>\",\n \"WeightUnitCode\": \"<string>\",\n \"Weight\": \"<string>\",\n \"ReferenceId\": \"<string>\",\n \"PoNumber\": \"<string>\",\n \"VolumeUnitQualifier\": \"<string>\",\n \"Volume\": \"<string>\",\n \"UnitBasisForMeasurement\": \"<string>\",\n \"Description\": \"<string>\"\n }\n ],\n \"References\": [\n {\n \"Id\": \"<string>\",\n \"Qualifier\": \"<string>\",\n \"Description\": \"<string>\",\n \"Type\": \"<string>\"\n }\n ],\n \"WeightQualifier\": \"<string>\",\n \"ScheduledArrivalStart\": \"2023-11-07T05:31:56Z\",\n \"ScheduledArrivalEnd\": \"2023-11-07T05:31:56Z\",\n \"ScheduledAppointment\": \"2023-11-07T05:31:56Z\",\n \"StopReasonCode\": \"<string>\",\n \"Notes\": [\n \"<string>\"\n ]\n }\n ],\n \"Equipment\": {\n \"Number\": \"<string>\",\n \"Length\": \"<string>\",\n \"Type\": \"<string>\"\n },\n \"Entities\": [\n {\n \"Type\": \"<string>\",\n \"Name\": \"<string>\",\n \"IdCodeQualifier\": \"<string>\",\n \"IdCode\": \"<string>\",\n \"N1Qualifier\": \"<string>\",\n \"Street\": \"<string>\",\n \"City\": \"<string>\",\n \"PostalCode\": \"<string>\",\n \"CountryCode\": \"<string>\",\n \"Phone\": \"<string>\",\n \"Email\": \"<string>\",\n \"State\": \"<string>\"\n }\n ],\n \"PaymentMethod\": \"<string>\",\n \"QtyPallets\": \"<string>\",\n \"Weight\": \"<string>\",\n \"WeightUnitCode\": \"<string>\",\n \"WeightQualifier\": \"<string>\",\n \"Volume\": \"<string>\",\n \"VolumeUnitCode\": \"<string>\",\n \"VolumeQualifier\": \"<string>\",\n \"Rate\": 123,\n \"ExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"Notes\": [\n \"<string>\"\n ],\n \"References\": [\n {\n \"Id\": \"<string>\",\n \"Qualifier\": \"<string>\",\n \"Description\": \"<string>\",\n \"Type\": \"<string>\"\n }\n ],\n \"RoutingSequenceCode\": \"<string>\",\n \"TransportationMethodTypeCode\": \"<string>\",\n \"PoNumber\": \"<string>\"\n}")
.asString();{
"Errors": {},
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}OpenAPI definition
{
"openapi": "3.0.1",
"info": {
"title": "Alvys",
"description": "Alvys provides a robust set of REST APIs to allow you to integrate Alvys into virtually any platform. These APIs cover most of Alvys' major product areas with additional endpoints being added regularly based on customer requests.",
"contact": {
"name": "Alvys Support",
"url": "https://www.alvys.com/resources/contact/"
},
"version": "v1"
},
"servers": [
{
"url": "https://integrations.alvys.com",
"description": "Public API Server"
},
{
"url": "https://api.alvys.com/",
"description": "Public API Server"
}
],
"paths": {
"/api/p/v{version}/tenders": {
"post": {
"tags": [
"Tenders"
],
"parameters": [
{
"name": "version",
"in": "path",
"description": "API version (e.g., 1.0)",
"required": true,
"schema": {
"type": "string",
"default": "1.0",
"example": "1.0"
}
}
],
"requestBody": {
"content": {
"application/json-patch+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.InboundTenderRequest"
}
]
}
},
"application/json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.InboundTenderRequest"
}
]
}
},
"text/json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.InboundTenderRequest"
}
]
}
},
"application/*+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.InboundTenderRequest"
}
]
}
}
},
"required": true
},
"responses": {
"201": {
"description": "Created"
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails"
}
}
}
},
"401": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
}
}
}
},
"403": {
"description": "Forbidden",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
}
}
}
}
},
"summary": "Create tender",
"security": [
{
"Public": []
}
]
}
}
},
"components": {
"schemas": {
"Alvys.Models.Tenders.Request.CreateTenderEntityRequest": {
"type": "object",
"properties": {
"Type": {
"type": "string",
"nullable": true
},
"Name": {
"type": "string",
"nullable": true
},
"IdCodeQualifier": {
"type": "string",
"nullable": true
},
"IdCode": {
"type": "string",
"nullable": true
},
"N1Qualifier": {
"type": "string",
"nullable": true
},
"Street": {
"type": "string",
"nullable": true
},
"City": {
"type": "string",
"nullable": true
},
"PostalCode": {
"type": "string",
"nullable": true
},
"CountryCode": {
"type": "string",
"nullable": true
},
"Phone": {
"type": "string",
"nullable": true
},
"Email": {
"type": "string",
"nullable": true
},
"State": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
},
"Alvys.Models.Tenders.Request.CreateTenderEquipmentRequest": {
"type": "object",
"properties": {
"Number": {
"type": "string",
"nullable": true
},
"Length": {
"type": "string",
"nullable": true
},
"Type": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
},
"Alvys.Models.Tenders.Request.CreateTenderOrderDetailRequest": {
"type": "object",
"properties": {
"Quantity": {
"type": "string",
"nullable": true
},
"WeightUnitCode": {
"type": "string",
"nullable": true
},
"Weight": {
"type": "string",
"nullable": true
},
"ReferenceId": {
"type": "string",
"nullable": true
},
"PoNumber": {
"type": "string",
"nullable": true
},
"VolumeUnitQualifier": {
"type": "string",
"nullable": true
},
"Volume": {
"type": "string",
"nullable": true
},
"UnitBasisForMeasurement": {
"type": "string",
"nullable": true
},
"Description": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
},
"Alvys.Models.Tenders.Request.CreateTenderReferenceRequest": {
"type": "object",
"properties": {
"Id": {
"type": "string",
"nullable": true
},
"Qualifier": {
"type": "string",
"nullable": true
},
"Description": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
},
"Alvys.Models.Tenders.Request.CreateTenderStopRequest": {
"required": [
"Type"
],
"type": "object",
"properties": {
"Type": {
"type": "string"
},
"Entity": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderEntityRequest"
}
],
"nullable": true
},
"SequenceNumber": {
"type": "string",
"nullable": true
},
"Orders": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderOrderDetailRequest"
},
"nullable": true
},
"References": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderReferenceRequest"
},
"nullable": true
},
"WeightQualifier": {
"type": "string",
"nullable": true
},
"ScheduledArrivalStart": {
"type": "string",
"format": "date-time",
"nullable": true
},
"ScheduledArrivalEnd": {
"type": "string",
"format": "date-time",
"nullable": true
},
"ScheduledAppointment": {
"type": "string",
"format": "date-time",
"nullable": true
},
"StopReasonCode": {
"type": "string",
"nullable": true
},
"Notes": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
},
"Alvys.Models.Tenders.Request.InboundTenderRequest": {
"required": [
"ReceiverGsId",
"ReceiverIsaId",
"ReceiverIsaIdQualifier",
"SCAC",
"SenderGsId",
"SenderIsaId",
"SenderIsaIdQualifier",
"ShipmentId",
"Stops"
],
"type": "object",
"properties": {
"SenderIsaId": {
"type": "string"
},
"SenderIsaIdQualifier": {
"type": "string"
},
"SenderGsId": {
"type": "string"
},
"ReceiverIsaId": {
"type": "string"
},
"ReceiverIsaIdQualifier": {
"type": "string"
},
"ReceiverGsId": {
"type": "string"
},
"SCAC": {
"type": "string"
},
"ShipmentId": {
"type": "string"
},
"Stops": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderStopRequest"
}
},
"Equipment": {
"allOf": [
{
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderEquipmentRequest"
}
],
"nullable": true
},
"Entities": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderEntityRequest"
},
"nullable": true
},
"PaymentMethod": {
"type": "string",
"nullable": true
},
"QtyPallets": {
"type": "string",
"nullable": true
},
"Weight": {
"type": "string",
"nullable": true
},
"WeightUnitCode": {
"type": "string",
"nullable": true
},
"WeightQualifier": {
"type": "string",
"nullable": true
},
"Volume": {
"type": "string",
"nullable": true
},
"VolumeUnitCode": {
"type": "string",
"nullable": true
},
"VolumeQualifier": {
"type": "string",
"nullable": true
},
"Rate": {
"type": "number",
"format": "double",
"nullable": true
},
"ExpirationDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"Notes": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"References": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Alvys.Models.Tenders.Request.CreateTenderReferenceRequest"
},
"nullable": true
},
"RoutingSequenceCode": {
"type": "string",
"nullable": true
},
"TransportationMethodTypeCode": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
},
"Microsoft.AspNetCore.Mvc.ProblemDetails": {
"type": "object",
"properties": {
"Type": {
"type": "string",
"nullable": true
},
"Title": {
"type": "string",
"nullable": true
},
"Status": {
"type": "integer",
"format": "int32",
"nullable": true
},
"Detail": {
"type": "string",
"nullable": true
},
"Instance": {
"type": "string",
"nullable": true
}
},
"additionalProperties": {}
},
"Microsoft.AspNetCore.Mvc.ValidationProblemDetails": {
"required": [
"Errors"
],
"type": "object",
"properties": {
"Errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"Type": {
"type": "string",
"nullable": true
},
"Title": {
"type": "string",
"nullable": true
},
"Status": {
"type": "integer",
"format": "int32",
"nullable": true
},
"Detail": {
"type": "string",
"nullable": true
},
"Instance": {
"type": "string",
"nullable": true
}
},
"additionalProperties": {}
}
},
"securitySchemes": {
"Public": {
"type": "apiKey",
"description": "JWT token needed to access the endpoints. (eg.) Bearer: <token>",
"name": "Authorization",
"in": "header"
}
}
}
}
Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Was this page helpful?
⌘I
Create tender
